Page MenuHomePhabricator

Visual Editor – change behavior when editing a link
Closed, DuplicatePublic

Description

During the last month I have collected edits done with Visual editor which went wrong because the user do not really understand how to use it. I tried to filter out pure vandalism, but I am sure that this list still contains a few cases.
https://de.wikipedia.org/wiki/Benutzer:Wurgl/Visual_Editor-Unfälle

Most of these edits are from IP-Adresses, however two of them are from Users which are admins and these are usually experienced users.

All of them seem to happen, when a user simple clicks at a wikilink and starts editing, ignoring the popup dialog for the link. And this ends up with a text not matching the related wikilink. (Disclaimer: I just guess what the user might have done, for my edits I do not use visual editor, so I have no experience)

Since we cannot change the behavior of the users, we need to change the behavior of the editor!

Maybe it is enough not to split the link-text and the link itself when a user simple overtypes a wikilink?

The accidents with dates/years can be found with a regular pattern, but cases like this one:
https://de.wikipedia.org/w/index.php?diff=175624107 are hard to find, I actually have no idea how to find. Please note, that the diff shows two old accidents where with [[Viertaktmotor|Zweitaktmotor]]

Event Timeline

Wurgl created this task.Apr 25 2018, 10:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2018, 10:02 AM
Vvjjkkii renamed this task from Visual Editor – change behavior when editing a link to caeaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from caeaaaaaaa to Visual Editor – change behavior when editing a link.Jul 1 2018, 6:54 AM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 1:15 AM